package org.rcisoft.sys.messageinstance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.sys.messageinstance.entity.MessageInstance;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * Created by cy on 2022年11月16日 下午4:37:10.
 */
public interface MessageInstanceService {

    /**
     * 保存 用户消息表
     *
     * @param messageInstance
     * @return
     */
    CyPersistModel persist(MessageInstance messageInstance);

    /**
     * 删除 用户消息表
     *
     * @param messageInstance
     * @return
     */
    CyPersistModel remove(MessageInstance messageInstance);

    /**
     * 逻辑删除 用户消息表
     *
     * @param messageInstance
     * @return
     */
    CyPersistModel removeLogical(MessageInstance messageInstance);

    /**
     * 修改 用户消息表
     *
     * @param messageInstance
     * @return
     */
    CyPersistModel merge(MessageInstance messageInstance);

    /**
     * 根据id查询 用户消息表
     *
     * @param id
     * @return
     */
    MessageInstance findById(int id);

    /**
     * 分页查询 用户消息表
     *
     * @param messageInstance
     * @return
     */
    IPage<MessageInstance> findAllByPagination(CyPageInfo<MessageInstance> paginationUtility,
                                               MessageInstance messageInstance, HttpServletRequest request);

    /**
     * 查询list 用户消息表
     *
     * @param messageInstance
     * @return
     */
    List<MessageInstance> findAll(MessageInstance messageInstance);


}
